<?php
/**
 * Template Name: Study Abroad Template                                            
 * The template for displaying study abroad page.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Corporate Education Pro 1.0
 */

get_header(); 
$options = corporate_education_pro_get_theme_options(); ?>

<section id="abroad-study-countries" class="page-section less-top-padding">
    <div class="white-shape top move-up left innerpage"></div>
    <div class="white-shape top full-width innerpage"></div>
    <div class="white-shape bottom move-down right"></div>

    <div class="wrapper">
        <div class="entry-container">
            <div class="entry-content">
                <?php 
                while ( have_posts() ) : the_post();
                    the_content(); 
                endwhile; ?>
            </div><!-- .entry-content -->

            <?php 
            /**
             * corporate_education_pro_study_abroad_content hook
             *
             * @hooked corporate_education_pro_add_study_abroad_destination_section -  10
             */
            do_action( 'corporate_education_pro_study_abroad_content' ); 
            ?>
        </div><!-- .entry-container -->
    </div><!-- .wrapper -->
</section><!-- #abroad-study-guidelines -->

<?php 
/**
 * corporate_education_pro_study_guide_content hook
 *
 * @hooked corporate_education_pro_add_study_abroad_guide_section -  10
 */
do_action( 'corporate_education_pro_study_guide_content' ); 
        
get_footer();