<?php
/**
 * Slider Section options
 *
 * @package Theme Palace
 * @subpackage Corporate Education Pro
 * @since Corporate Education Pro 1.0
 */

$wp_customize->add_section( 'corporate_education_pro_slider', array(
	'title'             => esc_html__( 'Featured Slider','corporate-education-pro' ),
	'description'       => esc_html__( 'Slider Section Options.', 'corporate-education-pro' ),
	'panel'             => 'corporate_education_pro_sections_panel',
) );

// Slider Section enable setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[slider_enable]', array(
	'sanitize_callback'	=> 'corporate_education_pro_sanitize_checkbox',
	'default'          	=> $options['slider_enable'],
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[slider_enable]', array(
	'label'            	=> esc_html__( 'Enable Slider Section', 'corporate-education-pro' ),
	'section'          	=> 'corporate_education_pro_slider',
	'type'             	=> 'checkbox',
) );

// Slider effect setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[slider_effect]', array(
	'default'          	=> $options['slider_effect'],
	'sanitize_callback'	=> 'corporate_education_pro_sanitize_select',
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[slider_effect]', array(
	'label'            	=> esc_html__( 'Slider Effect', 'corporate-education-pro' ),
	'section'          	=> 'corporate_education_pro_slider',
	'type'             	=> 'select',
	'active_callback'	=> 'corporate_education_pro_is_slider_enable',
	'choices'			=> corporate_education_pro_slider_effect(),
) );

// Add slider transition duration setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[slider_transition_duration]', array(
	'default'           => $options['slider_transition_duration'],
	'sanitize_callback' => 'corporate_education_pro_sanitize_select'
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[slider_transition_duration]', array(
	'label'           	=> esc_html__( 'Transition Duration', 'corporate-education-pro' ),
	'section'         	=> 'corporate_education_pro_slider',
	'type'            	=> 'select',
	'active_callback' 	=> 'corporate_education_pro_is_slider_enable',
	'choices'         	=> corporate_education_pro_slider_transition_duration(),
) );

// Slider overlay enable setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[slider_overlay_enable]', array(
	'sanitize_callback'	=> 'corporate_education_pro_sanitize_checkbox',
	'default'          	=> $options['slider_overlay_enable'],
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[slider_overlay_enable]', array(
	'label'            	=> esc_html__( 'Enable Slider Overlay', 'corporate-education-pro' ),
	'section'          	=> 'corporate_education_pro_slider',
	'type'             	=> 'checkbox',
	'active_callback'	=> 'corporate_education_pro_is_slider_enable',
) );

// Add enable arrow controls setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[enable_slider_controls]', array(
	'default'           => $options['enable_slider_controls'],
	'sanitize_callback' => 'corporate_education_pro_sanitize_checkbox'
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[enable_slider_controls]', array(
	'label'           	=> esc_html__( 'Enable Arrow Controls', 'corporate-education-pro' ),
	'section'         	=> 'corporate_education_pro_slider',
	'type'            	=> 'checkbox',
	'active_callback' 	=> 'corporate_education_pro_is_slider_enable',
) );

// Add enable slider pager setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[enable_slider_pager]', array(
	'default'           => $options['enable_slider_pager'],
	'sanitize_callback' => 'corporate_education_pro_sanitize_checkbox'
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[enable_slider_pager]', array(
	'label'           	=> esc_html__( 'Enable Pager Controls', 'corporate-education-pro' ),
	'section'         	=> 'corporate_education_pro_slider',
	'type'            	=> 'checkbox',
	'active_callback' 	=> 'corporate_education_pro_is_slider_enable',
) );

// Add enable slider dragable setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[enable_slider_dragable]', array(
	'default'           => $options['enable_slider_dragable'],
	'sanitize_callback' => 'corporate_education_pro_sanitize_checkbox'
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[enable_slider_dragable]', array(
	'label'           	=> esc_html__( 'Slider Draggable', 'corporate-education-pro' ),
	'section'         	=> 'corporate_education_pro_slider',
	'type'            	=> 'checkbox',
	'active_callback' 	=> 'corporate_education_pro_is_slider_enable',
) );

// Add enable slider pause on hover setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[slider_pause_on_hover]', array(
	'default'           => $options['slider_pause_on_hover'],
	'sanitize_callback' => 'corporate_education_pro_sanitize_checkbox'
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[slider_pause_on_hover]', array(
	'label'           	=> esc_html__( 'Pause On Hover', 'corporate-education-pro' ),
	'section'         	=> 'corporate_education_pro_slider',
	'type'            	=> 'checkbox',
	'active_callback' 	=> 'corporate_education_pro_is_slider_enable',
) );

// Add enable slider auto play setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[slider_autoplay]', array(
	'default'           => $options['slider_autoplay'],
	'sanitize_callback' => 'corporate_education_pro_sanitize_checkbox'
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[slider_autoplay]', array(
	'label'           	=> esc_html__( 'Auto Play', 'corporate-education-pro' ),
	'section'         	=> 'corporate_education_pro_slider',
	'type'            	=> 'checkbox',
	'active_callback' 	=> 'corporate_education_pro_is_slider_enable',
) );

// Slider post hr setting and control
$wp_customize->add_setting( 'corporate_education_pro_theme_options[slider_hr]', array(
	'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( new Corporate_Education_Pro_Customize_Horizontal_Line( $wp_customize, 'corporate_education_pro_theme_options[slider_hr]',
	array(
		'section'         => 'corporate_education_pro_slider',
		'active_callback' => 'corporate_education_pro_is_slider_enable',
		'type'			  => 'hr'
) ) );

// Add slider content type setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[slider_content_type]', array(
	'default'           => $options['slider_content_type'],
	'sanitize_callback' => 'corporate_education_pro_sanitize_select'
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[slider_content_type]', array(
	'label'           	=> esc_html__( 'Content Type', 'corporate-education-pro' ),
	'description'     	=> esc_html__( 'Recommended slider image size is 1500x844 px', 'corporate-education-pro' ),
	'section'         	=> 'corporate_education_pro_slider',
	'type'            	=> 'select',
	'active_callback' 	=> 'corporate_education_pro_is_slider_enable',
	'choices'         	=> corporate_education_pro_common_content_type()
) );

// Slider Section content type post setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[slider_content_post]', array(
	'sanitize_callback' => 'corporate_education_pro_sanitize_post_ids',
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[slider_content_post]', array(
	'active_callback'	=> 'corporate_education_pro_slider_content_post',
	'label'             => esc_html__( 'Input Post Ids', 'corporate-education-pro' ),
	'description'       => esc_html__( 'Simply hover post title on dashboard to see the Post ID. Max no. of posts allowed is 10. ie: 11, 24, 34', 'corporate-education-pro' ),
	'section'           => 'corporate_education_pro_slider',
	'type'				=> 'text'
) );

// Add slider number setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[no_of_slider]', array(
	'default'           => $options['no_of_slider'],
	'sanitize_callback' => 'corporate_education_pro_sanitize_number_range',
	'validate_callback' => 'corporate_education_pro_validate_slider_count',
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[no_of_slider]', array(
	'label'           	=> esc_html__( 'Number of slides', 'corporate-education-pro' ),
	'description'       => esc_html__( 'Note: Min 1 & Max 10. Please input the valid number and save. Then referesh the page to see the change.', 'corporate-education-pro' ),
	'section'         	=> 'corporate_education_pro_slider',
	'type'            	=> 'number',
	'active_callback' 	=> 'corporate_education_pro_slider_count',
	'input_attrs'     	=> array(
		'max' 	=> 10,
		'min' 	=> 1,
		'style' => 'width:100px'
	)
) );

// Slider Section category setting and control
$wp_customize->add_setting( 'corporate_education_pro_theme_options[slider_content_category]', array(
	'sanitize_callback' => 'corporate_education_pro_sanitize_single_category'
) );

$wp_customize->add_control( new Corporate_Education_Pro_Dropdown_Single_Category_Control( $wp_customize, 'corporate_education_pro_theme_options[slider_content_category]', array(
	'label'           => esc_html__( 'Select Category', 'corporate-education-pro' ),
	'description'     => esc_html__( 'Latest posts from selected category will be shown.', 'corporate-education-pro' ),
	'section'         => 'corporate_education_pro_slider',
	'type'			  => 'dropdown-category',
	'active_callback' => 'corporate_education_pro_slider_content_category',
) ) );

// Slider Section page setting and control
for ( $i = 1; $i <= $options['no_of_slider']; $i++ ) {
	// Show page drop-down setting and control
	$wp_customize->add_setting( 'corporate_education_pro_theme_options[slider_content_page_'.$i.']', array(
		'sanitize_callback' => 'corporate_education_pro_sanitize_page'
	) );

	$wp_customize->add_control( 'corporate_education_pro_theme_options[slider_content_page_'.$i.']', array(
		'label'           	=> sprintf( esc_html__( 'Select Page %d', 'corporate-education-pro' ), $i ),
		'section'        	=> 'corporate_education_pro_slider',
		'active_callback' 	=> 'corporate_education_pro_slider_content_page',
		'type'				=> 'dropdown-pages'
	) );
}

// Slider Section content type post setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[slider_btn_label]', array(
	'default'           => $options['slider_btn_label'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[slider_btn_label]', array(
	'active_callback'	=> 'corporate_education_pro_is_slider_enable',
	'label'             => esc_html__( 'Input link button label', 'corporate-education-pro' ),
	'section'           => 'corporate_education_pro_slider',
	'type'				=> 'text'
) );
