<?php
/**
 * menu options
 *
 * @package Theme Palace
 * @subpackage Corporate Education Pro
 * @since Corporate Education Pro 1.0
 */

// Add sidebar section
$wp_customize->add_section( 'corporate_education_pro_menu', array(
	'title'               => esc_html__('Menu Layout','corporate-education-pro'),
	'description'         => esc_html__( 'Menu Layout options.', 'corporate-education-pro' ),
	'panel'               => 'corporate_education_pro_theme_options_panel',
) );

// Theme menu setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[theme_menu]', array(
	'sanitize_callback'   => 'corporate_education_pro_sanitize_select',
	'default'             => $options['theme_menu'],
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[theme_menu]', array(
	'label'               => esc_html__( 'Select Menu Layout', 'corporate-education-pro' ),
	'section'             => 'corporate_education_pro_menu',
	'type'                => 'select',
	'choices'			  => corporate_education_pro_theme_menu(),
) );

// Header menu transparent setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[menu_transparent]', array(
	'sanitize_callback'	=> 'corporate_education_pro_sanitize_checkbox',
	'default'          	=> $options['menu_transparent'],
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[menu_transparent]', array(
	'label'            	=> esc_html__( 'Make Header Menu transparent', 'corporate-education-pro' ),
	'section'          	=> 'corporate_education_pro_menu',
	'type'             	=> 'checkbox',
) );

// Header menu transparent setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[menu_text]', array(
	'sanitize_callback'	=> 'corporate_education_pro_sanitize_checkbox',
	'default'          	=> $options['menu_text'],
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[menu_text]', array(
	'label'            	=> esc_html__( 'Menu Text', 'corporate-education-pro' ),
	'section'          	=> 'corporate_education_pro_menu',
	'type'             	=> 'checkbox',
) );

