<?php
/**
 * Template part for displaying testimonial post.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Corporate Education Pro
 * @since Corporate Education Pro 1.0
 */

$options = corporate_education_pro_get_theme_options();
?>

<section id="testimonial-single">
	<div class="testimonial-single-wrapper">
		<div class="gray-shape light-blue top move-up left"></div>
		<div class="white-shape top right"></div>
		<div class="white-shape bottom left"></div>
		<div class="gray-shape light-blue bottom right move-down"></div>

		<div class="wrapper">
			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<figure class="featured-image">
					<?php if ( has_post_thumbnail() ) {
						the_post_thumbnail( 'corporate-education-pro-medium', array( 'alt' => the_title_attribute( 'echo=0' ) ) );
					} ?>
				</figure>
				<div class="entry-container">
					<div class="description">
						<?php the_content(); ?>
					</div><!-- .description -->

					<h2><?php the_title(); ?></h2>
					<span class="position">
						<?php  
						// testimonial designation
						if ( function_exists( 'tp_testimonial_designation' ) )
							tp_testimonial_designation();
						?>
					</span>
					<ul class="star-rating">
						<?php  
						// testimonial ratings
						if ( function_exists( 'tp_testimonial_rating' ) )
							tp_testimonial_rating();
						?>
					</ul><!-- .star-rating -->


					<?php  
					// Testimonial Social Icons
					if ( function_exists( 'tp_testimonial_social' ) )
						tp_testimonial_social();
					?>
				</div><!-- .entry-container -->
			</article>

			<?php  
			/**
			* Hook corporate_education_pro_action_post_pagination
			*  
			* @hooked corporate_education_pro_post_pagination 
			*/
			do_action( 'corporate_education_pro_action_post_pagination' );
			?>
		</div><!-- .wrapper -->
		</div><!-- .testimonial-single-wrapper -->

		<div class="testimonial-thumbs">
			<div class="wrapper">
				<?php  
				$testimonial_id = get_the_ID();
				$args = array(
					'post_type'			=> 'tp-testimonial',
					'posts_per_page'	=> -1,
					'order'				=> 'ASC',
					);
				$posts = get_posts( $args );
				?>
				<ul>
					<?php foreach ( $posts as $post ) : ?>
						<li class="<?php echo ( $testimonial_id == $post->ID ) ? 'active' : ''; ?>" >
							<a href="<?php the_permalink( $post->ID ); ?>" title="<?php echo esc_attr( get_the_title( $post->ID ) ); ?>">
								<div class="orange-overlay"></div>
								<?php  
								if ( has_post_thumbnail( $post->ID ) ) :
									$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'thumbnail' );
								else :
									$image[0] = get_template_directory_uri() . '/assets/uploads/no-featured-image-300x300.jpg';
								endif;
								?>
								<img src="<?php echo esc_url( $image[0] ); ?>" alt="<?php echo esc_attr( $post->post_title ); ?>" >
							</a>
						</li>
					<?php endforeach; 
					wp_reset_postdata(); ?>
				</ul>
			</div><!-- .wrapper -->
		</div><!-- .testimonial-thumbs -->
</section><!-- #testimonial-slider -->
